Раскрытие данных и межсайтовый скриптинг в Dwarf HTTP Server

Дата публикации:
14.03.2006
Всего просмотров:
1499
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-0819
CVE-2006-0820
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Dwarf HTTP Server 1.x
Уязвимые версии: Dwarf HTTP Server 1.3.2 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и получить доступ к важным данным на системе.

1. Уязвимость существует из-за ошибки при проверке расширения файла в URL. Удаленный пользователь может с помощью специально сформированного URL, содержащего точку, пробел, слеш и NULL символ просмотреть исходный код JSP файлов на сервере.

2. Уязвимость существует из-за недостаточной обработки входных данных в URL. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.gnome.sk/Dwarf/dwarf_http.html

Решение: Установите последнюю версию (1.3.3) с сайта производителя.

Ссылки: Dwarf HTTP Server Source Disclosure and Cross-Site Scripting

или введите имя

CAPTCHA